<?php

namespace App\Mail;

use App\Models\Video;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class VideoUploaded extends Mailable
{
    use Queueable, SerializesModels;

    public function __construct(public Video $video, public string $userName)
    {
    }

    public function envelope(): Envelope
    {
        return new Envelope(
            subject: 'Your video has been uploaded successfully!',
        );
    }

    public function content(): Content
    {
        return new Content(
            view: 'emails.video-uploaded',
        );
    }
}
